accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Busbey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-1818) 1.4.x bin/accumulo never uses locationByProgram
Date Mon, 28 Oct 2013 02:57:30 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-1818?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13806525#comment-13806525
] 

Sean Busbey commented on ACCUMULO-1818:
---------------------------------------

Until we formally declare 1.4.x EOL, I don't see why we'd mark issues with non-breaking solutions
as won't-fix. Especially something that is a clear error like this: either the script shouldn't
bother calling locationByProgram or it should do the existence check after possibly having
called it.

I'd be fine with just removing the locationByProgram code, but I think we'll make the time
until we stop supporting 1.4 easier by keeping it inline with 1.5/master when possible.

> 1.4.x bin/accumulo never uses locationByProgram
> -----------------------------------------------
>
>                 Key: ACCUMULO-1818
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-1818
>             Project: Accumulo
>          Issue Type: Bug
>          Components: scripts
>    Affects Versions: 1.4.4
>            Reporter: Sean Busbey
>            Priority: Minor
>              Labels: newbie
>
> In the 1.5.x and master versions of hte bin/accumulo script, we use the following pattern
to find support library locations:
> # run bin/config.sh
> # if JAVA_HOME, HADOOP*, or ZOOKEEPER_HOME aren't set, use locationByProgram to guess
> # if any of the above still aren't set, error out
> # export the above
> In the [1.4.4 version|https://git-wip-us.apache.org/repos/asf?p=accumulo.git;a=blob;f=bin/accumulo;h=66428180fdcb07b9fae31181940dfc398508681f;hb=refs/heads/1.4.5-SNAPSHOT],
instead the following happens:
> # run bin/config.sh
> # if any of JAVA_HOME, HADOOP*, ZOOKEEPER_HOME aren't set error out
> # export the above
> # if any of the above aren't set, use locationByProgram to guess and export
> so step #4 never happens.
> we should update 1.4.x to be consistent with the other two versions.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message